﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PoE_MxFilterGen.json
{
    public class SETTINGS
    {
        public int uniqueValue { get; set; }
        public int fossilValue { get; set; }
        public int cardValue { get; set; }
        public string updateurl { get; set; }
        public string section { get; set; }
    }

    class settings
    {

        public static int GetUniqueValue()
        {
            SETTINGS j = JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("settings.json"));
            return j.uniqueValue;
        }

        public static int GetFossilValue()
        {
            SETTINGS j = JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("settings.json"));
            return j.fossilValue;
        }

        public static int GetCardValue()
        {
            SETTINGS j = JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("settings.json"));
            return j.cardValue;
        }

        public static string GetSection()
        {
            SETTINGS j = JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("settings.json"));
            return j.section;
        }

        public static void WriteSection(string section)
        {
            SETTINGS js = JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText($@"settings.json"));
            SETTINGS se = new SETTINGS
            {
                uniqueValue = js.uniqueValue,
                fossilValue = js.fossilValue,
                cardValue = js.cardValue,
                updateurl = js.updateurl,
                section = section
            };
            var raw = JsonConvert.SerializeObject(se, Formatting.Indented);
            File.WriteAllText($@"settings.json", raw);
        }
    }
}
